Understanding Society User Support - Support #1494

Weights
01/29/2021 03:51 PM - Lydia Palumbo

Status: Resolved Start date: 01/29/2021
Priority: Normal % Done: 100%
Assignee:

Category:

Description

Dear USoC team,

| am doing an analysis on young adults which comprises wave 12,13,17 of BHPS and 2,3,5,7,9 of UKHLS.
All the boosts are considered. | would like to know if | should use cross-sectional weights (which,| think,

is the case) and if | should rescale weights to consider the bigger sample size of UKHLS. In

the case, this is necessary, how could it be performed?

Thank you very much,
Lydia

History

#1 - 02/01/2021 09:31 AM - Understanding Society User Support Team
- Status changed from New to In Progress
- % Done changed from 0 to 10

- Private changed from Yes to No

Dear Lydia,
Many thanks for your enquiry. The Understanding Society team is looking into it and we will get back to you as soon as we can.

We aim to respond to simple queries within 48 hours and more complex issues within 7 working days. While we will aim to keep to this response
times due to the current coronavirus (COVID-19) related situation it may take us longer to respond.

Best wishes,
Understanding Society User Support Team

#2 - 02/01/2021 03:34 PM - Understanding Society User Support Team
- Category set to Weights

- Assignee set to Olena Kaminska
#3 - 02/02/2021 12:49 PM - Olena Kaminska
Lydia,

Thank you. Are you pooling all the information together and using it in one model?
Are you studying a cross-sectional concept - so are you not using any information from previous wave per person?

Thanks,
Olena

#4 - 02/02/2021 03:31 PM - Lydia Palumbo
Dear Olena,

thank you for the answer. Yes - | am pooling observations. Individuals might be observed more than once,
but | am treating them as cross-sectional units. So, no, there is no information from the previous wave.

#5 - 02/03/2021 12:15 PM - Olena Kaminska
Lydia,
Then it's yes to both questions: use cross-sectional weights, and rescale them to take into account larger sample size in UKHLS.

Best,
Olena

#6 - 02/03/2021 02:10 PM - Lydia Palumbo
Thank you for your answer. | would like to check if | follow the correct procedure.
Following the instructions you sent me some time ago, the appropriate procedure to rescale weights is the following:

1) Calculate the weighted sample size for each wave; Sum of the cross-sectional weights of the waves which | am interested in (waves 12,13,17 of
BHPS and 2,3,5,7,9 of UKHLS), limited to the sample of young adults;

2) Take the average of weighted sample sizes across the waves you use;

3) divide the average by the weighted sample size for each year to get the scaling factor;
4) multiply the scaling factor for each wave by its cross-sectional weight.

5) Use this product as a new weight for pooled data.

Thank you and best,
Lydia

#7 - 02/03/2021 09:59 PM - Lydia Palumbo
Sorry, Olena.

Let me just add a question to the previous post re: 1).

1) Calculate the weighted sample size for each wave; Sum of the cross-sectional weights of the waves which | am interested in (waves 12,13,17 of
BHPS and 2,3,5,7,9 of UKHLS), limited to the sample of young adults;

Is it necessary that | compute the rescaling factor only on young adults? If | remember correctly, | can also compute the rescaling factor on the entire
sample (in the appropriate waves) and, then, analyse the sub-sample | am interested in.

Thank you again.
Best,
Lydia

#8 - 02/04/2021 01:46 PM - Olena Kaminska

Lydia,

Yes, all the steps described above are correct.

The scaling fractions on the whole population or just youth should be very similar - it's ok to use either. | would personally recommend to use sum of

weights of the people in your analysis (youth or its subgroup). But this is practical if this is constant across everything you analyse. If you conduct
many analyses you may want to create one general scaling factor - and general weights, and go from there.

Hope this helps,
Olena

#9 - 02/04/2021 04:31 PM - Lydia Palumbo

Yes, Olena. That indeed helped.
Thanks very much.

Best,

Lydia

#10 - 02/04/2021 07:13 PM - Understanding Society User Support Team
- Status changed from In Progress to Resolved
- Assignee deleted (Olena Kaminska)

- % Done changed from 10 to 100
